Package com.collibra.dgc.core.api.dto.meta.path

# Class DateFilterRequest

Object
DateFilterRequest

All Implemented Interfaces:
  `Serializable`

public class DateFilterRequest extends Object implements Serializable
Specifies the details for a date filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DateFilterRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateFilterRequest()`
  `DateFilterRequest(LocalDate lt, LocalDate lte, LocalDate gt, LocalDate gte, Integer lastXDays, Integer olderThanXDays)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DateFilterRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `LocalDate`
  `getGt()`
  `LocalDate`
  `getGte()`
  `Integer`
  `getLastXDays()`
  `LocalDate`
  `getLt()`
  `LocalDate`
  `getLte()`
  `Integer`
  `getOlderThanXDays()`
  `int`
  `hashCode()`
  `void`
  `setGt(LocalDate gt)`
  `void`
  `setGte(LocalDate gte)`
  `void`
  `setLastXDays(Integer lastXDays)`
  `void`
  `setLt(LocalDate lt)`
  `void`
  `setLte(LocalDate lte)`
  `void`
  `setOlderThanXDays(Integer olderThanXDays)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DateFilterRequest

    public DateFilterRequest()

  - ### DateFilterRequest

    public DateFilterRequest(LocalDate lt, LocalDate lte, LocalDate gt, LocalDate gte, Integer lastXDays, Integer olderThanXDays)

- ## Method Details

  - ### builder

    public static DateFilterRequest.Builder builder()

  - ### getLt

    public LocalDate getLt()

  - ### getLte

    public LocalDate getLte()

  - ### getGt

    public LocalDate getGt()

  - ### getGte

    public LocalDate getGte()

  - ### getLastXDays

    public Integer getLastXDays()

  - ### getOlderThanXDays

    public Integer getOlderThanXDays()

  - ### setLt

    public void setLt(LocalDate lt)

  - ### setLte

    public void setLte(LocalDate lte)

  - ### setGt

    public void setGt(LocalDate gt)

  - ### setGte

    public void setGte(LocalDate gte)

  - ### setLastXDays

    public void setLastXDays(Integer lastXDays)

  - ### setOlderThanXDays

    public void setOlderThanXDays(Integer olderThanXDays)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`